libzypp: zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > Struct Template Reference

libzypp 17.36.6

Public Member Functions | Private Member Functions | Private Attributes | List of all members
zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/asyncresult.h>`

Inheritance diagram for zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >:

## Public Member Functions
| AsyncToAsyncResult (AsyncOpRef< PrevRes > &&prevTask, std::shared_ptr< CallbackOp > &&cb)
| AsyncToAsyncResult (const AsyncToAsyncResult &other)=delete
AsyncToAsyncResult & | operator= (const AsyncToAsyncResult &other)=delete
| AsyncToAsyncResult (AsyncToAsyncResult &&other)=delete
AsyncToAsyncResult & | operator= (AsyncToAsyncResult &&other)=delete
virtual | ~AsyncToAsyncResult ()
void | connect ()
Public Member Functions inherited from zyppng::AsyncOp< typename CallbackOp::value_type >
| AsyncOp ()=default
| AsyncOp (const AsyncOp &other)=delete
| AsyncOp (AsyncOp &&other) noexcept=default
AsyncOp & | operator= (const AsyncOp &other)=delete
AsyncOp & | operator= (AsyncOp &&other) noexcept=default
| ~AsyncOp () override
void | setReady (value_type &&val)
bool | isReady () const
void | onReady (Fun &&cb)
value_type & | get ()
Public Member Functions inherited from zyppng::AsyncOpBase
virtual bool | canCancel ()
virtual void | cancel ()
SignalProxy< void()> | sigStarted ()
SignalProxy< void(const std::string &, int, int)> | sigProgress ()
SignalProxy< void()> | sigReady ()
Public Member Functions inherited from zyppng::Base
| Base ()
virtual | ~Base ()
WeakPtr | parent () const
void | addChild (const Base::Ptr &child)
void | removeChild (const Ptr &child)
const std::unordered_set< Ptr > & | children () const
std::thread::id | threadId () const
template<typename T>
std::vector< std::weak_ptr< T > > | findChildren () const
template<typename T>
std::shared_ptr< T > | shared_this () const
template<typename T>
std::shared_ptr< T > | shared_this ()
template<typename T>
std::weak_ptr< T > | weak_this () const
template<typename T>
std::weak_ptr< T > | weak_this ()
template<typename SenderFunc, typename ReceiverFunc>
auto | connect (SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
std::enable_if_t< std::is_member_function_pointer_v< SenderFunc >, connection > | connectFunc (SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)

## Private Member Functions
void | readyWasCalled (PrevRes res)

## Private Attributes
AsyncOpRef< PrevRes > | _prevTask
std::shared_ptr< CallbackOp > | _myTask

## Additional Inherited Members
Public Types inherited from zyppng::AsyncOp< typename CallbackOp::value_type >
using | value_type
using | Ptr
Public Types inherited from zyppng::Base
using | Ptr = std::shared_ptr<Base>
using | WeakPtr = std::weak_ptr<Base>
Static Public Member Functions inherited from zyppng::Base
template<typename Obj, typename Functor>
static decltype(auto) | make_base_slot (Obj *o, Functor &&f)
template<typename SenderFunc, typename ReceiverFunc>
static auto | connect (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, typename internal::MemberFunction< ReceiverFunc >::ClassType &recv, ReceiverFunc &&rFunc)
template<typename SenderFunc, typename ReceiverFunc, typename ... Tracker>
static auto | connectFunc (typename internal::MemberFunction< SenderFunc >::ClassType &s, SenderFunc &&sFun, ReceiverFunc &&rFunc, const Tracker &...trackers)
Protected Member Functions inherited from zyppng::Base
| Base (BasePrivate &dd)
Protected Attributes inherited from zyppng::AsyncOpBase
Signal< void()> | _sigStarted
Signal< void()> | _sigReady
Signal< void(const std::string &, int, int)> | _sigProgress
Protected Attributes inherited from zyppng::Base
std::unique_ptr< BasePrivate > | d_ptr

## Detailed Description

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>
struct zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >

Definition at line 131 of file asyncresult.h.

## Constructor & Destructor Documentation

## ◆ AsyncToAsyncResult() [1/3]

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::AsyncToAsyncResult | ( | AsyncOpRef< PrevRes > && | prevTask,
|  | std::shared_ptr< CallbackOp > && | cb )
| inline

Definition at line 136 of file asyncresult.h.

## ◆ AsyncToAsyncResult() [2/3]

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::AsyncToAsyncResult | ( | const AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > & | other | ) |
| delete

## ◆ AsyncToAsyncResult() [3/3]

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::AsyncToAsyncResult | ( | AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > && | other | ) |
| delete

## ◆ ~AsyncToAsyncResult()

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

virtual zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::~AsyncToAsyncResult | ( |  | ) |
| inlinevirtual

Definition at line 148 of file asyncresult.h.

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

AsyncToAsyncResult & zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::operator= | ( | const AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > & | other | ) |
| delete

## ◆ operator=() [2/2]

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

AsyncToAsyncResult & zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::operator= | ( | AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes > && | other | ) |
| delete

## ◆ connect()

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

void zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::connect | ( |  | ) |
| inline

Definition at line 150 of file asyncresult.h.

## ◆ readyWasCalled()

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

void zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::readyWasCalled | ( | PrevRes | res | ) |
| inlineprivate

Definition at line 163 of file asyncresult.h.

## Member Data Documentation

## ◆ _prevTask

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

AsyncOpRef<PrevRes> zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::_prevTask
| private

Definition at line 173 of file asyncresult.h.

## ◆ _myTask

template<typename PrevRes, typename CallbackOp, typename AOpRes = typename CallbackOp::value_type>

std::shared_ptr<CallbackOp> zyppng::detail::AsyncToAsyncResult< PrevRes, CallbackOp, AOpRes >::_myTask
| private

Definition at line 174 of file asyncresult.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/asyncresult.h